Bug 169200 - /proc/acpi/sleep not created in kernel-2.6.13-1.1524_FC4
/proc/acpi/sleep not created in kernel-2.6.13-1.1524_FC4
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-24 13:17 EDT by Matthew Saltzman
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-26 18:03:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Saltzman 2005-09-24 13:17:21 EDT
Description of problem:
Non-existence of the above file prevents ACPI suspend.

Version-Release number of selected component (if applicable):
kernel-2.6.13-1.1524_FC4

How reproducible:
always

Steps to Reproduce:
1. boot kernel-2.6.13-1.1524_FC4
2. ls /proc/acpi/sleep
3. echo 3 > /proc/acpi/sleep
  
Actual results:
File does not exist.
Suspend fails.

Expected results:
File exists.
Suspend works.


Additional info:
This kernel is currently in updates-testing.
Persists in kernel-2.6.13-1.1525_FC4.
Comment 1 Matthias Hensler 2005-09-25 14:03:44 EDT
The sleep entry is missing here too on Asus M5N with 2.6.13-1.1524_FC4, will try
2.6.13-1.1525_FC4 now.
Comment 2 Matthias Hensler 2005-09-25 14:38:10 EDT
not fixed in 2.6.13-1.1525_FC4
Comment 3 Kevin Fenzi 2005-09-26 14:57:49 EDT
/proc/acpi/sleep is depreciated since: 

commit ebb6e1a6122fd6b7c96470cfd4ce0f04150e5084
Author: Len Brown <len.brown@intel.com>
Date:   Thu Apr 14 23:12:56 2005 -0400

    [ACPI] Deprecate /proc/acpi/sleep in favor of /sys/power/state
    
    Signed-off-by: Len Brown <len.brown@intel.com>

You should be able to use: 

echo -n "mem" > /sys/power/state 
(to suspend to ram) 

or

echo -n "disk" > /sys/power/state
(to suspend to disk)


Note You need to log in before you can comment on or make changes to this bug.